Subject: Re: bug#11612: 24.1; Defaults create warning on startup

From: Noam Postavsky <[email-masked]>
Date: Fri, 24 Jun 2016 23:28:55 -0400

So it's just a matter of changing the warning message to something a
little more informative, right? What's the best way of referencing the
a manual node in a warning message? In Lisp I could make a hyperlink
like this:

(display-warning 'initialization
                 (concat "Use of `C:\\.emacs' to define `HOME' is
deprecated, see "
                         (make-text-button "HOME and Startup
Directories on MS-Windows" nil
                                           :type 'help-info
                                           'help-args '("(emacs)
Windows HOME"))))

it's a bit more awkward from C, and I'm not sure if make-text-button
can be called that early in the initialization process.